// file: $USFS/class/image_analysis/v6.1/imaga_sd_06.cc
//

// isip include files
//
#include "image_analysis.h"
#include "image_analysis_constants.h"

// method: sd_init_cc
//
// arguments: none
//
// return: a logical_1 value indicating status
//
// this method initializes the histogram computation.
//
logical_1 Image_analysis::sd_init_cc() {
  
  // clear the counters
  //
  sd_r_npxls_d = (int_4)0;
  sd_r_nimages_d = (int_4)0;
  sd_r_nblks_d = (int_4)0;

  sd_t_red_d = (float_8)0;
  sd_t_grn_d = (float_8)0;
  sd_t_blu_d = (float_8)0;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
