// file: $USFS/util/error_eval/v6.1/error_eval.h
//
 
// make sure this file is only included once
//
#ifndef __ISIP_ERROR_EVAL
#define __ISIP_ERROR_EVAL
 
// isip include files
//
#ifndef __ISIP_INTEGRAL
#include <integral.h>
#endif

#ifndef __ISIP_SBE_EVAL
#include <sbe_eval.h>
#endif

// function definitions
//
logical_1 get_parameters_cc(char_1**& input_file, char_1**& output_file,
			    int_4& debug_level, int_4& no_images,
			    int_4& option, int argc, char** argv,
			    int_4& no_input, int_4& no_output);
logical_1 get_next_segfname_cc(char_1*& seg_file, char_1* image_file,
			       char_1* seg_filelist);
logical_1 eval_seg_cc(char_1* result_file, char_1* ref_filelist);
logical_1 eval_line_cc(char_1* res_filelist, char_1* ref_filelist);

logical_1 score_match_cc(int_4* line_ref, int_4 num_coord_ref,
			 FILE* fp_res, int_4& count_correct,
			 int_4& count_error, int_4& num_res_lines);

logical_1 compu_param_cc(int_4* line_ref, int_4 num_coord_ref,
			 int_4* line_res, int_4 num_coord_res,
			 float_8& dist, float_8& angle, float_8& len_dif);

// macro definitions
//
#define min(a, b) ((a) <= (b) ? (a) : (b))
#define max(a, b) ((a) >= (b) ? (a) : (b))

// end of file
//
#endif
