// file: $USFS/class/polygon/v1.0/polygon_constants.h
//

// make sure the definitions are made only once
//
#ifndef __ISIP_POLYGON_CONSTANTS
#define __ISIP_POLYGON_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// define the class name
//
#define POLYGON_CLASS_NAME (char_1*)"Polygon"

// define the tag for the transcription
//
#define POLYGON_TRANSCRIPTION_TAG (char_1*)"Class"

// define a flag for the end of a polygon data
// this flag is the same as IMAGA_END_POLYGON in image_analysis_constants.h
//
#define POLYGON_END_POLYGON (int_4)-1

// end of file
//
#endif
