// file: $USFS/util/segment_image/v1.0/segment_image.h
//
 
// make sure this file is only included once
//
#ifndef __ISIP_SEGMENT_IMAGE
#define __ISIP_SEGMENT_IMAGE
 
// isip include files
//
#ifndef __ISIP_INTEGRAL
#include <integral.h>
#endif

// forward declaration of classes
//
#ifndef __ISIP_IMAGE_SEGMENTATION
#include <image_segmentation.h>
#endif

#ifndef __ISIP_IMAGE_ANALYSIS
#include <image_analysis.h>
#endif

#ifndef __ISIP_PPM
#include <ppm.h>
#endif

// function definitions
//
logical_1 get_parameters_cc(char_1*& param_filelist, char_1*& output_ext,
			    char_1*& output_datafile, int_4& debug_level,
			    char_1*& seg_filelist, int_4& pos,
			    int_4 argc, char_1** argv);
logical_1 get_next_filename_cc(char_1*& image_file, int_4 argc,
			       char_1** argv, int_4& pos);
logical_1 get_next_segfname_cc(char_1*& seg_file, char_1* image_file,
			       char_1* seg_filelist);
logical_1 get_next_outfname_cc(char_1* image_file, char_1* output_ext,
			       char_1*& output_file);

// end of file
//
#endif
